
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef zone_POSTER_SHOW_LIB_H
#define zone_POSTER_SHOW_LIB_H

#include "zonePosterLib.h"

/* Prototypes */
extern STATUS zoneCntrlPosterShow ( void );
extern STATUS zoneCntrlPosterActivityShow ( void );
extern STATUS zoneTARGETMapPosterShow ( void );
extern STATUS zoneTARGETMapZONES_MAPPosterShow ( void );
extern STATUS zoneTARGETRobotInPosterShow ( void );
extern STATUS zoneTARGETRobotInZONES_OCCUPIEDPosterShow ( void );
extern STATUS zoneSPECIALMapPosterShow ( void );
extern STATUS zoneSPECIALMapZONES_MAPPosterShow ( void );
extern STATUS zoneSPECIALRobotInPosterShow ( void );
extern STATUS zoneSPECIALRobotInZONES_OCCUPIEDPosterShow ( void );
extern STATUS zoneSPECIALMobile1InPosterShow ( void );
extern STATUS zoneSPECIALMobile1InZONES_OCCUPIEDPosterShow ( void );
extern STATUS zoneSPECIALMobile2InPosterShow ( void );
extern STATUS zoneSPECIALMobile2InZONES_OCCUPIEDPosterShow ( void );
extern STATUS zoneSPECIALMobile3InPosterShow ( void );
extern STATUS zoneSPECIALMobile3InZONES_OCCUPIEDPosterShow ( void );
extern STATUS zoneVIRTUAL_OBSTMapPosterShow ( void );
extern STATUS zoneVIRTUAL_OBSTMapZONES_MAPPosterShow ( void );
extern STATUS zoneVIRTUAL_OBSTRobotInPosterShow ( void );
extern STATUS zoneVIRTUAL_OBSTRobotInZONES_OCCUPIEDPosterShow ( void );
extern STATUS zoneNavMapPosterShow ( void );
extern STATUS zoneNavMapMapPosterShow ( void );
extern STATUS zoneNavObstsPosterShow ( void );
extern STATUS zoneNavObstsHeaderPosterShow ( void );
extern STATUS zoneNavObstsObstaclesPosterShow ( void );
#endif /* ZONE_POSTER_SHOW_LIB_H */

